Bug 808069 - RHEL 58 ami not booting into updated kernel
RHEL 58 ami not booting into updated kernel
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity medium
: rc
: 5.9
Assigned To: Tomas Kopecek
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 09:31 EDT by wes hayutin
Modified: 2012-06-14 09:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 09:09:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2012-03-29 09:31:52 EDT
Description of problem:

[root@ip-10-82-214-123 ~]# ll /etc/grub.conf 
lrwxrwxrwx 1 root root 20 Jan 26 08:33 /etc/grub.conf -> /boot/grub/grub.conf
[root@ip-10-82-214-123 ~]# cat /etc/sysconfig/kernel 
# UPDATEDEFAULT specifies if new-kernel-pkg should make
# new kernels the default
UPDATEDEFAULT=yes

# DEFAULTKERNEL specifies the default kernel package type
DEFAULTKERNEL=kernel
[root@ip-10-82-214-123 ~]# unam e-a
-bash: unam: command not found
[root@ip-10-82-214-123 ~]# uname -a
Linux ip-10-82-214-123 2.6.18-307.el5xen #1 SMP Tue Jan 24 20:20:14 EST 2012 x86_64 x86_64 x86_64 GNU/Linux
[root@ip-10-82-214-123 ~]# rpm -qa | grep kernel
kernel-xen-2.6.18-308.1.1.el5
kernel-xen-devel-2.6.18-307.el5
kernel-xen-2.6.18-307.el5
kernel-headers-2.6.18-308.1.1.el5
kernel-xen-devel-2.6.18-308.1.1.el5
[root@ip-10-82-214-123 ~]# 



[root@ip-10-82-214-123 ~]# wget -q -O - http://169.254.169.254/latest/dynamic/instance-identity/document
{
  "kernelId" : "aki-08ed0761",
  "ramdiskId" : null,
  "instanceId" : "i-e0c4c984",
  "billingProducts" : [ "bp-6fa54006" ],
  "instanceType" : "m1.large",
  "architecture" : "x86_64",
  "version" : "2010-08-31",
  "availabilityZone" : "us-east-1b",
  "accountId" : "673500695950",
  "imageId" : "ami-fb0ddc92",
  "pendingTime" : "2012-03-29T12:56:44Z",
  "devpayProductCodes" : null,
  "privateIp" : "10.82.214.123",
  "region" : "us-east-1"
Comment 1 RHEL Product and Program Management 2012-04-02 07:21:53 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

Note You need to log in before you can comment on or make changes to this bug.